# ===================================
#  Field Definitions
# ===================================

fields:
  name:
    label: Name

  url_alias:
    label: URL alias

  about_block:
    label: Full description
    type: richeditor
    size: huge

  info_blocks:
    label: Info blocks
    type: repeater
    titleFrom: Additional info element
    form:
      fields:
        label:
          label: Additional info title
        content:
          label: Additional info content
          type: richeditor
          size: huge

  activities_title:
    label: Activities title

  activities_description:
    label: Activities description
    type: richeditor
    size: huge


  faqs:
    label: Hotel FAQs
    type: repeater
    titleFrom: FAQ
    form:
      fields:
        q:
          label: Question
          type: text
        a:
          label: Answer
          type: textarea

  activities_cards:
    label: Activities cards
    type: repeater
    titleFrom: Activity card element
    form:
      fields:
        activity_card:
          label: Override label (leave empty to use default)
          type: dropdown
          options: listActivitiesCards
          emptyOption: -- choose activity card --

        title:
          label: Override title (leave empty to use default)
        short_description:
          label: Override short description (leave empty to use default)
        description:
          label: Override description (leave empty to use default)

  additional_info:
    label: Additional info
    type: repeater
    titleFrom: Additional info element
    form:
      fields:
        label:
          label: Additional info title
        content:
          label: Additional info content
          type: richeditor
          size: huge

  price:
    label: Price

  rating:
    label: Rating
    comment: It will be rounded to 2 digit after comma

  reviews_info:
    label: Reviews Info
    type: repeater
    titleFrom: Review Info Element
    form:
      fields:
        review_info:
          label: Review Info Card
          type: dropdown
          options: listAmenity
          emptyOption: -- choose review info card --
          span: auto
        rating:
          label: Rating
          type: text
          span: auto

  additional_html:
    label: Additional Html
    type: textarea
    size: huge

  active:
    label: active
    type: checkbox
    default: 1
    conditions: active <> true

  you_may_like:
    label: You may like
    comment: Hotel pages for You may like block
    type: taglist
    options: listHotelPages
    customTags: false
    useKey: true

  check_in_time:
    label: Check in time
  check_out_time:
    label: Check out time

  property_type:
    label: Property type

  images:
    label: Images
    type: fileupload
    mode: image
    imageHeight: 260
    imageWidth: 260

  country:
    label: Country
    type: dropdown
    options: listCountries
    emptyOption: -- choose country --

  city:
    label: City
    type: dropdown
    options: listCities
    emptyOption: -- choose city --

  amenities:
    label: Amenities
    type: taglist
    customTags: false
    useKey: true
    options: listAmenity

  description:
    label: Description
    type: richeditor
    comment: If empty then will be used property short description
    size: huge

  full_description:
    label: Full description
    type: textarea
  short_description:
    label: Short description
    type: textarea


